- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axis2_module_ops Struct Reference
[module]

`#include <axis2_module.h>`

List of all members.

## Public Attributes
axis2_status_t(* | init )(axis2_module_t *module, const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx, axis2_module_desc_t *module_desc)
axis2_status_t(* | shutdown )(axis2_module_t *module, const axutil_env_t *env)
axis2_status_t(* | fill_handler_create_func_map )(axis2_module_t *module, const axutil_env_t *env)

## Detailed Description

Struct containing operations available on a module.
1. init
2. shutdown
3. fill_handler_create_func_map
are the three operations presently available.

## Member Data Documentation

axis2_status_t( * axis2_module_ops::init)(axis2_module_t *module, const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx, axis2_module_desc_t *module_desc)

Initializes module.

Parameters:

  | module | pointer to module struct
  | env | pointer to environment struct
  | conf_ctx | pointer to configuration context
  | module_desc | module description

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

axis2_status_t( * axis2_module_ops::shutdown)(axis2_module_t *module, const axutil_env_t *env)

Shutdowns module.

Parameters:

  | module | pointer to module struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

axis2_status_t( * axis2_module_ops::fill_handler_create_func_map)(axis2_module_t *module, const axutil_env_t *env)

Fills the hash map of handler create functions for the module.

Parameters:

  | module | pointer to module struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

The documentation for this struct was generated from the following file:

- axis2_module.h